<?php
/**
 * @package OS_Vehicle_Touch_Slider_Pro
 * @subpackage mod_vehicle_os_touchslider
 * @copyright Andrey Kvasnevskiy - OrdaSoft (akbet@mail.ru); Sergey Bunyaev (sergey@bunyaev.ru); Sergey Solovyev (solovyev@solovyev.in.ua)
 * @Homepage: http://www.ordasoft.com
 * @description VehicleManager - slideShow for Vehicle Manager Component
 * */

defined('_JEXEC') or die;
require_once dirname(__FILE__).'/helpers/images.php';
require_once dirname(__FILE__).'/helpers/helper.php';

global $vehiclemanager_configuration;
$doc = JFactory::getDocument();
require_once (JPATH_BASE . '/' . 'components' . '/' . 'com_vehiclemanager' . '/' . 'functions.php');
if(checkStylesIncludedVEH("/font-awesome.min.css") === false ) {
    $doc->addStyleSheet("https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css");
}
if(checkJavaScriptIncludedVEH("/jQuerOs-2.2.4.min.js") === false ) {
  $doc->addScript($mosConfig_live_site . '/components/com_vehiclemanager/includes/jQuerOs-2.2.4.min.js');
}

$doc->addScriptDeclaration("jQuerOs=jQuerOs.noConflict();");

$database = JFactory::getDbo();

// load language
$languagelocale = "";
$query = "SELECT l.title, l.lang_code, l.sef ";
$query .= "FROM #__vehiclemanager_const_languages as cl ";
$query .= "LEFT JOIN #__vehiclemanager_languages AS l ON cl.fk_languagesid=l.id ";
$query .= "LEFT JOIN #__vehiclemanager_const AS c ON cl.fk_constid=c.id ";
$query .= "GROUP BY  l.title";
$database->setQuery($query);
      $languagelocale = "";
       global $langContent;
      $query = "SELECT l.title, l.lang_code, l.sef ";
      $query .= "FROM #__vehiclemanager_const_languages as cl ";
      $query .= "LEFT JOIN #__vehiclemanager_languages AS l ON cl.fk_languagesid=l.id ";
      $query .= "LEFT JOIN #__vehiclemanager_const AS c ON cl.fk_constid=c.id ";
      $query .= "GROUP BY  l.title";
      $database->setQuery($query);
      $languages = $database->loadObjectList();
      $lang = JFactory::getLanguage();
      foreach ($lang->getLocale() as $locale) {
        foreach ($languages as $language) {
          if (strtolower($locale) == strtolower($language->title)
              || strtolower($locale) == strtolower($language->lang_code) ) {
            $mosConfig_lang = $locale;
            $languagelocale = $language->lang_code;
            break;
          }
        }
      }
      if ($languagelocale == '') {
        $languagelocale = "en-GB";
        $mosConfig_lang = "en-GB";
      }
      // Set content language

      // $langContent = substr($languagelocale, 0, 2);
      $query = "SELECT c.const, cl.value_const ";
      $query .= "FROM #__vehiclemanager_const_languages as cl ";
      $query .= "LEFT JOIN #__vehiclemanager_languages AS l ON cl.fk_languagesid=l.id ";
      $query .= "LEFT JOIN #__vehiclemanager_const AS c ON cl.fk_constid=c.id ";
      $query .= "WHERE l.lang_code = '$languagelocale'";
      $database->setQuery($query);
      $langConst = $database->loadObjectList();
      foreach ($langConst as $item) {
        if(!defined($item->const) )
         define($item->const, $item->value_const); // $database->quote()
      }

      $query = "SELECT l.lang_code "
          . "FROM #__languages as l " ;
      $database->setQuery($query);
      $languages = $database->loadObjectList();



     foreach ($lang->getLocale() as $locale) {

          foreach ($languages as $language) {


              if (strtolower($locale) == strtolower($language->lang_code)
                  || strtolower(str_replace(array('_','-'), '', $locale))
                  == strtolower((str_replace(array('_','-'), '', $language->lang_code)))

                  ) {

                  $langContent = $language->lang_code;


                  break;
              }
          }
      }

$show_type =$params->get('type','horizontal');
JHtml::_('stylesheet',JURI::base()."/modules/mod_vehicle_os_touchslider/assets/css/idangerous-swiper.css");
JHtml::_('stylesheet',JURI::base().
  "/components/com_vehiclemanager/includes/swiper.css");


if(checkJavaScriptIncludedVEH("/swiper-os.js") === false ) {
    $doc->addScript(JURI::root() . '/components/com_vehiclemanager/includes/swiper-os.js');
}

////////////////////////////////////////////params\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
$listing_status_on = $params->get('listing_status',0);
$listing_type_on = $params->get('listing_type',0);
$arrows = $params->get('arrows','1');
$respect_quite = $params->get('respect_quite','1');
$dots = $params->get('dots','1');
$autoplay = $params->get('autoplay','1');
$sufix = $params->get('sufix','');
if($params->get('width')){
  $width = $params->get('width');
}else{
  $width = 100;
}
$numSlides = $params->get('countSlides');

if($params->get('is_percentage') == 'percentage'){
  $format='%';
}else{
  $format='px';
}
if(!is_numeric($height = $params->get('height'))) $height = 180;
////////////////////////////////////////////end params\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

require JModuleHelper::getLayoutPath('mod_vehicle_os_touchslider', $params->get('layout', 'default'));
