<?php
/**
 * @package OS_Vehicle_Touch_Slider_Pro
 * @subpackage mod_vehicle_os_touchslider
 * @copyright Andrey Kvasnevskiy - OrdaSoft (akbet@mail.ru); Sergey Bunyaev (sergey@bunyaev.ru); Sergey Solovyev (solovyev@solovyev.in.ua)
 * @description VehicleManager - slideShow for Vehicle Manager Component
 * @Homepage: http://www.ordasoft.com
 **/

defined('_JEXEC') or die;
global $mosConfig_absolute_path,$mosConfig_live_site;?>

<div id="vmTouchSlider<?php echo $module->id;?>" class="<?php echo $sufix; ?>">
<noscript>Javascript is required to use Vehicle Manager <a href="https://ordasoft.com/vehicle-manager-joomla-car-rental-dealer-software-for-rent-and-sell-cars" title="Joomla Vehicles">Joomla Vehicles</a>, <a href="https://ordasoft.com/car-dealer-website-development.html" title="car dealer website development" >car dealer website development</a></noscript>

  <div class="vehicleSlider <?php echo ($show_type=='horizontal') ? ' horizontal' : ' vertical'; ?>" style="
  <?php
  if($show_type=='horizontal') {
    if ($format == '%') {
  ?>
  max-width: <?php echo $width;?>%;
  /*height: <?php echo $height;?>%;*/
  <?php
    }
    else { ?>
    max-width: <?php echo $numSlides * $width;?>px;
    /*height: <?php echo $height;?>px;*/
   <?php
    }
  }
  else {
    if ($format == '%') {?>
    max-width: <?php echo $width;?>%;
    /*height:<?php echo $numSlides*$height;?>%;*/
  <?php
    }
  ?>
  max-width: <?php echo $width;?>px;
  /*height:<?php echo $numSlides*$height;?>px;*/
  <?php
  }
  ?>
  ">
  <?php if ($arrows): ?>
    <span class="arrow-left"></span>
    <span class="arrow-right"></span>
  <?php endif; ?>
  <?php
  $carid = $params->get('car_id') ;
  if($carid != "" ) $carid = trim( $carid );
  if($carid != "" ) {
      $carid = " and h.id in ( ". $carid ." ) " ;
  }
  $catid = $params->get('cat_id') ;
  if($catid != "" ) $catid = trim( $catid );
  if($catid != "" ) {
      $catid = " and c.id in ( ". $catid ." ) " ;
  }
  if(!is_numeric($max = $params->get('count_car'))) $max = 20;
  $db = JFactory::getDBO();
  $selectstring = "SELECT DISTINCT count(h.id) as max FROM `#__vehiclemanager_vehicles` AS h
                  LEFT JOIN `#__vehiclemanager_categories` AS hc ON hc.iditem=h.id
                  LEFT JOIN `#__vehiclemanager_main_categories` AS c ON c.id=hc.idcat
                  WHERE h.published=1 and h.approved=1 and c.published = 1 ".
                  $catid . $carid."LIMIT 0, $max;";
  $db->setQuery($selectstring);
  $slides= $db->loadObjectList();
  ?>

  <?php
  if($show_type=='horizontal') {
  ?>
    <div class="swiper-container" style="height: <?php echo $height;?>px;">
  <?php
  }
  else {
  ?>
    <div class="swiper-container" style="height: <?php echo $numSlides*$height;?>px;">
  <?php
  }
  ?>
        <span id="loaderGif" style="display:block;"></span>
        <div class="swiper-wrapper" style="visibility:hidden;">
          <?php
            $images = modVehSlideShowHelper::getImagesFromVehSlideShow($params,$langContent);
            if (isset($images) && count($images) > 0):
              $num_img = '';
              $i=0;
              $seting_relation = abs($width/$height);
              $temp_relation = 0;
              $good_relation = [];
              $best_relation = 100;

              foreach ($images as $image):

                $watermark = ($vehiclemanager_configuration['watermark']['show'] == 1) ? 'watermark/' : '';
                $image = JPATH_BASE.'/components/com_vehiclemanager/photos/'.$watermark.$image->src;

                if(!file_exists($image)){
                  $image = JPATH_BASE.'/components/com_vehiclemanager/photos/no-img_eng_big.gif';
                }

                $temp_original_img = $image;
                if (JFile::exists($temp_original_img)) {
                  $info = getimagesize($temp_original_img);
                  $temp_relation = abs($info[0]/$info[1]);
                  $good_relation = abs($seting_relation-$temp_relation);
                  if($good_relation<$best_relation){
                    $best_relation = $good_relation;
                    $num_img = $i;
                  }
                }
                $i++;
              endforeach;
              $i=0;

              foreach ($images as $image):
              //transform and create new image
                $src=$image->image;
                $path_parts = pathinfo($src);
                $filename = $path_parts['dirname'].'/'.
                basename($src,'.'.$path_parts['extension']).'_'."$width".'_'."$height".
                '.'.$path_parts['extension'];//new file name

                // $filename = $path_parts['dirname'].'/'.
                // basename($src,'.' . $path_parts['extension']) . '.' . $path_parts['extension'];//new file name

                $image->image_slideshow = $filename;
                echo '<div class="swiper-slide">'; // start swiper-slide

                if ($image->listing_status && $listing_status_on){
                  if ($image->listing_status != 0){
                    $listing_status1 = explode(',', _VEHICLE_MANAGER_OPTION_LISTING_STATUS);

                    $ls = 1;
                    foreach ($listing_status1 as $listing_status2) {
                      $listing_status[$ls] = $listing_status2;
                      $ls++;
                    }
                    echo '<div class="vm_listing_status">'.$listing_status[$image->listing_status].'</div>';
                  }
                }
                if ($listing_type_on == 1) {
                  if ($image->listing_type){
                    if ($image->listing_type != 1){
                      echo '<div class="vm_col_sale">'._VEHICLE_MANAGER_OPTION_FOR_SALE.'</div>';
                    } else{
                      echo '<div class="vm_col_rent">'._VEHICLE_MANAGER_OPTION_FOR_RENT.'</div>';
                    }
                  }
                }

                $watermark = ($vehiclemanager_configuration['watermark']['show'] == 1) ? 'watermark/' : '';
                $file = $mosConfig_live_site . '/components/com_vehiclemanager/photos/' .$watermark. basename($image->image);

                if ($params->get('link_image',1) == 1) echo '<a href="'.$image->link.'" target="_self">';
                {
                    echo '<img id="slideImgVm" src="'.$file.'" alt="img"/>';
                }

                if ($params->get('link_image',1) == 1) echo '</a>';
                if ( $params->get('show_title')
                || ($params->get('show_desc') && !empty($image->description))
                || ($params->get('show_price') && !empty($image->price))
                || ($params->get('show_address') && !empty($image->address))
                ) :

                echo '<div id="captionSlide">'; // Slide description area START
            // ---------------------------------------------------------------
              if ($params->get('show_title')) {
                echo '<div class="slide-title">';
                  if ($params->get('link_title') && $image->link) {
                    echo '<a href="'.$image->link.'" target="_self">'.$image->title.'</a>';
                  } else {
                      echo $image->title;
                    }
                echo '</div>';
              }
            // ---------------------------------------------------------------
             if ($params->get('show_price') && !empty($image->price) ) {

               echo '<div class="slide-price">';
               if(!incorrect_price($image->price)){
                   if ($params->get('link_price') && $image->link) {
                  echo '<a href="'.$image->link.'" target="_self">';
                   if ($vehiclemanager_configuration['sale_separator']) echo (!$vehiclemanager_configuration['price_unit_show'] ? : formatMoney(strip_tags($image->price), false, $vehiclemanager_configuration['price_format']).' '.$image->priceunit) ;
                      else echo (!$vehiclemanager_configuration['price_unit_show'] ? $image->priceunit.' '.strip_tags($image->price) : strip_tags($image->price).' '.$image->priceunit);
                  echo '</a>';
                   } else {
                      if ($vehiclemanager_configuration['sale_separator']) echo (!$vehiclemanager_configuration['price_unit_show'] ? $image->priceunit.' '.formatMoney(strip_tags($image->price), false, $vehiclemanager_configuration['price_format']) : formatMoney(strip_tags($image->price), false, $vehiclemanager_configuration['price_format']).' '.$image->priceunit);
                      else echo (!$vehiclemanager_configuration['price_unit_show'] ? $image->priceunit.' '.strip_tags($image->price) : strip_tags($image->price).' '.$image->priceunit);
                   }
              }else{
                echo $image->price;
              }
                 echo '</div>';

               }
            // ---------------------------------------------------------------
               if ($params->get('show_address')  && !empty($image->address)) {
                echo '<div class="slide-address">';
                if ($params->get('link_address') && $image->link) {
                  echo '<a href="'.$image->link.'" target="_self">'.strip_tags($image->address).'</a>';
                } else {
                  echo strip_tags($image->address);
                }
                echo '</div>';
               }
            // ---------------------------------------------------------------
               if ($params->get('show_desc')) {
                 echo '<div class="slide-description">';
                   if ($params->get('link_desc') && $image->link) {
                      echo '<a href="'.$image->link.'" target="_self">'.substr(strip_tags($image->description), 0 ,2).'</a>';
                   } else {
                     echo substr(strip_tags($image->description), 0 ,$params->get('limit_desc'));
                   }
                echo '</div>';
              }
            // ---------------------------------------------------------------
            echo '</div>'; // Slide description area END
             endif;
                echo '</div>'; // swiper-slide END
              endforeach;
            endif; ?>
          </div>
        </div>
  </div>
      <div class="swiperPagination"></div>
</div>

<script type="text/javascript">

 jQuerOs(window).load(function() {

    var mySwiper<?php echo $module->id;?> = new SwipeOs('#vmTouchSlider<?php echo $module->id;?> .swiper-container',{
      <?php if($dots): ?>
      pagination: '#vmTouchSlider<?php echo $module->id;?> .swiperPagination',
      <?php endif; ?>
      loop: true,
      direction:'<?php echo $params->get('type','horizontal')?>',
      speed:<?php echo $params->get('time-interval','2000')?>,
      <?php if($autoplay){ ?>
        autoplay: {
          delay: <?php echo $params->get('effect-speed'); ?>,
        },
      <?php } ?>
      //autoResize: true,
      DOMAnimation: true,
      preventLinks: true,
      grabCursor: false,
      createPagination: <?php echo $dots?'true':'false'?>,
      paginationClickable: true,
      <?php if($arrows){ ?>
      navigation: {
          nextEl: '#vmTouchSlider<?php echo $module->id;?> .arrow-right',
          prevEl: '#vmTouchSlider<?php echo $module->id;?> .arrow-left',
      },
      <?php } ?>
      slidesPerView:
        <?php if($params->get('countSlides') != '1') {
              if(($slides[0]->max < $params->get('countSlides'))) {
                  echo $slides[0]->max;
                   } else {
                  if($params->get('count_car') < $params->get('countSlides')) {
                     echo $params->get('count_car');
                  } else {
                     echo $params->get('countSlides');
                  }
              }
          } else {
            echo '1';
           } ?>

    });

    
    <?php if($params->get('countSlides') != '1' && ($show_type=='horizontal')) {?>
     jQuerOs('#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm').css("maxWidth","90%");
     //??????????????????????????????????
     <?php }?>
    setTimeout(
      function(){
        jQuerOs(".swiper-wrapper").css("visibility", "visible");
        jQuerOs("#loaderGif").css("display", "none");
      }, 1400);
    var kw=0;
    function vmSizeOnLoad() {
        jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm").css('height', '100%');
        jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm").css('width', '100%');
        jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm").css('object-fit',
                     '<?php echo $params->get('object_fit'); ?>' );          

        var captionHeight = null;
        jQuerOs('#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm').each(function() {
          var wid = jQuerOs('#vmTouchSlider<?php echo $module->id;?>  .vehicleSlider').width();
          if ('<?php echo $show_type;?>' =='horizontal'){
            //var h = <?php echo $height ;?>;
            var h = <?php echo $height ;?> * wid / <?php echo $width*$numSlides ;?>;
          }else{
            var h = <?php echo $numSlides;?> * <?php echo $height ;?>;
          }
          kw=h/wid;
          captionHeight = kw*wid;
          jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-container").height(captionHeight);
          jQuerOs("#vmTouchSlider<?php echo $module->id;?> .vehicleSlider").height(captionHeight);
        });
    }
    vmSizeOnLoad();
    jQuerOs(window).resize(function resize () {
        jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm").css('height', '100%');
        jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm").css('width', '100%');
        jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm").css('object-fit',
                     '<?php echo $params->get('object_fit'); ?>' );          
        var captionHeight = null;
        var hi = 0;
        jQuerOs('#vmTouchSlider<?php echo $module->id;?> .swiper-slide img#slideImgVm').each(function(){
            //var w = jQuerOs('.vehicleSlider').width();
            var w = jQuerOs('#vmTouchSlider<?php echo $module->id;?>  .vehicleSlider').width();
            captionHeight=kw*w;
            if ('<?php echo $show_type ?>' == 'horizontal') {
                jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-container").height(captionHeight);
                jQuerOs("#vmTouchSlider<?php echo $module->id;?> .vehicleSlider").height(captionHeight);
                jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide").height(captionHeight);
            }  else{
                jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-container").height(captionHeight);
                jQuerOs("#vmTouchSlider<?php echo $module->id;?> .vehicleSlider").height(captionHeight);
                jQuerOs("#vmTouchSlider<?php echo $module->id;?> .swiper-slide").height(captionHeight);
                (mySwiper<?php echo $module->id;?>).reInit();
            }
        });
    });
 });

</script>
       <div style="text-align: center;"><a href="https://ordasoft.com/vehicle-manager-joomla-car-rental-dealer-software-for-rent-and-sell-cars"
         style="font-size: 10px;">Joomla Vehicles</a>, by OrdaSoft</div>
